Zum Hauptinhalt springen
GET
/
public
/
v1
/
toppie
/
reporting
/
campaigns
/
{campaign-id}
/
products
[BETA] Get Campaign Products Report.
curl --request GET \
  --url https://api.topsort.com/public/v1/toppie/reporting/campaigns/{campaign-id}/products \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/toppie/reporting/campaigns/{campaign-id}/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/toppie/reporting/campaigns/{campaign-id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "products": [
    {
      "adSpend": 1,
      "cpc": 123,
      "ctr": 123,
      "conversionRate": 123,
      "impressions": 1,
      "chargedImpressions": 1,
      "clicks": 1,
      "chargedClicks": 1,
      "purchaseCount": 1,
      "purchaseRevenue": 1,
      "roas": 123,
      "ean": "<string>",
      "totalPurchaseQuantity": 1,
      "productName": "<string>",
      "imageUrl": "<string>",
      "isActive": true,
      "cpm": 0,
      "acos": 0
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

campaign-id
string<uuid>
erforderlich

The ID of the campaign.

Abfrageparameter

start_date
string<date>
erforderlich

The start date for which reports will be generated.

end_date
string<date>
erforderlich

The end date for which reports will be generated.

The search string for a given query.

next_page
string | null

Token for retrieving the next page.

limit
integer
Standard:100

Maximum number of products to retrieve.

Erforderlicher Bereich: 1 <= x <= 100

Antwort

Successful Response

hasMore
boolean
erforderlich

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

products
GlobalCatalogProductKpi · object[]
erforderlich
nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Beispiel:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="